Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor;
8
9 use eZ\Publish\Core\Search\Common\FieldNameResolver;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
11
15 abstract class Field extends FieldFilterBase
16 {
22 protected $fieldNameResolver;
23
29 public function __construct(FieldNameResolver $fieldNameResolver)
30 {
31 $this->fieldNameResolver = $fieldNameResolver;
32 }
33
44 protected function getFieldNames(
45 Criterion $criterion,
46 $fieldDefinitionIdentifier,
47 $fieldTypeIdentifier = null,
48 $name = null
49 ) {
50 return $this->fieldNameResolver->getFieldNames(
51 $criterion,
52 $fieldDefinitionIdentifier,
53 $fieldTypeIdentifier,
54 $name
55 );
56 }
57 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Field
The Field Criterion class.
Definition: API/Repository/Values/Content/Query/Criterion/Field.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\Core\Search\Common\FieldNameResolver
Provides search backend field name resolving for criteria and sort clauses targeting Content fields.
Definition: FieldNameResolver.php:20
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase
Abstract criterion visitor implementation, providing field filters condition for criteria that requir...
Definition: FieldFilterBase.php:16
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\$fieldNameResolver
$fieldNameResolver
Definition: Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php:22
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\__construct
__construct(FieldNameResolver $fieldNameResolver)
Create from FieldNameResolver.
Definition: Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php:29
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\getFieldNames
getFieldNames(Criterion $criterion, $fieldDefinitionIdentifier, $fieldTypeIdentifier=null, $name=null)
Get field names.
Definition: Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php:44
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
Definition: CriterionVisitor/ContentIdIn.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.